Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.sort
Class SortedField

    java.lang.Object
      org.encog.app.analyst.csv.sort.SortedField

    public class SortedField

extends Object

Specifies how a field is to be sorted by SortCSV.

Constructor Summary
`SortedField(int theIndexindex, SortType t, boolean theAscending)` Construct the object.

Method Summary
`int` | `getIndex()`
`SortType` | `getSortType()`
`boolean` | `isAscending()`
`void` | `setAscending(boolean theAscending)`
`void` | `setIndex(int theIndex)`
`void` | `setSortType(SortType theSortType)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortedField

    public SortedField(int theIndexindex,
                       SortType t,
                       boolean theAscending)

  Construct the object.

  Parameters:
    `theIndexindex` - The index of the sorted field.
    `t` - The type of sort, the type of object.
    `theAscending` - True, if this is an ascending sort.

Method Detail

### getIndex

    public final int getIndex()

  Returns:
    the index

### getSortType

    public final SortType getSortType()

  Returns:
    the sortType

### isAscending

    public final boolean isAscending()

  Returns:
    the ascending

### setAscending

    public final void setAscending(boolean theAscending)

  Parameters:
    `theAscending` - the ascending to set

### setIndex

    public final void setIndex(int theIndex)

  Parameters:
    `theIndex` - the index to set

### setSortType

    public final void setSortType(SortType theSortType)

  Parameters:
    `theSortType` - the sortType to set

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.